org.apache.lucene.xmlparser.builders

## Class ConstantScoreQueryBuilder

- java.lang.Object
- - org.apache.lucene.xmlparser.builders.ConstantScoreQueryBuilder

- All Implemented Interfaces:
    QueryBuilder

      public class ConstantScoreQueryBuilder
      extends java.lang.Object
      implements QueryBuilder

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstantScoreQueryBuilder(FilterBuilderFactory filterFactory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Query` | `getQuery(org.w3c.dom.Element e)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstantScoreQueryBuilder

          public ConstantScoreQueryBuilder(FilterBuilderFactory filterFactory)

  - ### Method Detail

    - #### getQuery

          public Query getQuery(org.w3c.dom.Element e)
                         throws ParserException

      Specified by:
        `getQuery` in interface `QueryBuilder`
      Throws:
        `ParserException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.